<Manage::FieldContainer @title={{t 'domain name'}} @isDisabled={{@isDisabled}} @isSaveDisabled={{this.isDisabled}}
  @editablePanel={{@editablePanel}} @value={{@value}} @onEdit={{@onEdit}} @onSave={{this.save}} @onCancel={{@onCancel}}
  {{did-insert this.setup}}
  class="manage-default-models" ...attributes>
  <:view>
    <div>
      {{#if @value.domainStatus}}
        <div class="alert alert-info alert-domain-status" role="alert">
          {{t (concat "domain-status." @value.domainStatus)}}
        </div>
      {{/if}}

      <a href='https://{{@value.domain}}' target='_blank' class='domain-url' rel="noopener noreferrer">{{@value.domain}}</a>
      {{#if @value.allowDomainChange}}
        -
        {{#if @value.hasDomainValidated}}
          <span class='domain-validation-success text-success'>
            {{t 'verified'}}
          </span>
        {{else}}
          <span class='domain-validation-danger text-danger'>
            {{t 'unverified'}}
          </span>
        {{/if}}

        <div class='mt-3'>
          {{!-- template-lint-disable require-input-label --}}
          <input disabled value={{this.dns}} class='form-control domain-dns' />
          <span class='text-sm text-muted'>{{t 'message-dns-setup'}}</span>
        </div>

        <div class='mt-3'>
          {{!-- template-lint-disable require-input-label --}}
          <input disabled value={{this.dnsVerification}} class='form-control domain-validation-key' />
          <span class='text-sm text-muted'>{{t 'message-dns-verification'}}</span>
        </div>

        <div class='mt-3'>
          <Input::Button class='btn btn-secondary btn-verify' @action={{this.verify}}>
            {{t 'verify'}}
          </Input::Button>
        </div>
      {{/if}}
    </div>
  </:view>

  <:edit>
    {{#if @value.allowDomainChange}}
      {{!-- template-lint-disable require-input-label --}}
      <Input @value={{this.domain}} class='form-control input-domain' />
    {{else}}
      <Input::SpaceSubdomain @value={{@value.domain}} @onChange={{this.changeDomain}} />
    {{/if}}
  </:edit>
</Manage::FieldContainer>

<div class="d-none" {{did-insert this.setup}} {{did-update this.setup @value}}></div>